import { Json } from '../../types';
import { StorageXPath } from './LocalStorageQueryBuilder';
interface Storage {
    getJson: (key: string) => Json | null;
    setJson: (key: string, json: Json) => void;
}
export declare const KEY = "LOCAL_DATA_KEY";
export declare const initStorage: (value: Storage) => void;
export declare const getXPath: (storageXPath: StorageXPath) => any;
export declare const setXPath: (storageXPath: StorageXPath, value: Json | null | undefined) => void;
export declare const patchXPath: (storageXPath: StorageXPath, change: Json) => void;
export declare const deleteXPath: (storageXPath: StorageXPath) => void;
export declare const getByPredicate: (key: string, predicate: (item: Json) => boolean) => any[];
export declare const deleteByPredicate: (key: string, predicate: (item: Json) => boolean) => void;
export declare const storageXPathToPath: (storageXPath: StorageXPath) => string[];
export {};
