import { GetParams } from '../../types';
import { GetRequest } from './GetRequestBuilder';
export type RequestDecorator = (request: GetRequest, getParams: GetParams) => GetRequest;
export type GetRequestBuilderRules = {
    base: RequestDecorator;
    rest: RequestDecorator;
    sort: RequestDecorator;
    fullTextSearch: RequestDecorator;
    filter: RequestDecorator;
    paginate: RequestDecorator;
    slice: RequestDecorator;
};
export declare const rules: GetRequestBuilderRules;
