import { ApiRequest, ApiServerConfiguration, Adapter, ApiResponse } from '../../types';
import { AxiosResponse } from 'axios';
import { ResponseBuilder } from '../_base/ResponseBuilder';
export declare class RestAdapter implements Adapter {
    private instance;
    constructor(configuration: ApiServerConfiguration);
    GET: (request: ApiRequest, response: ResponseBuilder) => Promise<AxiosResponse<any, any>>;
    POST: (request: ApiRequest, _response: ResponseBuilder) => Promise<AxiosResponse<any, any>>;
    PATCH: (request: ApiRequest, _response: ResponseBuilder) => Promise<AxiosResponse<any, any>>;
    PUT: (request: ApiRequest, _response: ResponseBuilder) => Promise<AxiosResponse<any, any>>;
    DELETE: (request: ApiRequest, _response: ResponseBuilder) => Promise<AxiosResponse<any, any>>;
    parseReturnedData(request: ApiRequest, res: AxiosResponse): any;
    fireRequest: (request: ApiRequest) => Promise<ApiResponse>;
}
