import { ConnectedStore, SagaEvents } from '../types';
import { ApiRequest, ApiResponse, ConnectionStatus, LifecycleStatus } from '../types';
export declare const apiActions: import("redux-store-generator").StoreActions<ConnectedStore>;
export declare const apiError: (request: ApiRequest, response: ApiResponse) => {
    type: string;
    request: ApiRequest;
    response: ApiResponse;
};
export declare const connectionChange: (nodeName: string, connectionStatus: ConnectionStatus) => import("redux-store-generator").Action;
export declare const addRequestJourneyPoint: (request: ApiRequest, status: LifecycleStatus, data?: Json) => import("redux-store-generator").Action;
export declare const clearCompletedRequests: () => {
    type: SagaEvents;
};
export declare const clearFailedRequests: () => {
    type: SagaEvents;
};
export declare const actions: {
    apiError: (request: ApiRequest, response: ApiResponse) => {
        type: string;
        request: ApiRequest;
        response: ApiResponse;
    };
    connectionChange: (nodeName: string, connectionStatus: ConnectionStatus) => import("redux-store-generator").Action;
    addRequestJourneyPoint: (request: ApiRequest, status: LifecycleStatus, data?: Json) => import("redux-store-generator").Action;
    clearCompletedRequests: () => {
        type: SagaEvents;
    };
    clearFailedRequests: () => {
        type: SagaEvents;
    };
    apiGlobalSettings: import("redux-store-generator").SingleBag<import("../types").ApiSettings>;
    apiGlobalStats: import("redux-store-generator").SingleBag<import("../types").ApiStats>;
    endpointsConfig: import("redux-store-generator").CollectionBag<import("../types").EndpointConfig>;
    endpointsState: import("redux-store-generator").CollectionBag<import("../types").EndpointState>;
    actionTypes: import("redux-store-generator").CollectionBag<import("redux-store-generator").ApiInfo>;
    nodeTypes: import("redux-store-generator").SingleBag<Record<string, import("redux-store-generator").NodeType>>;
    requests: import("redux-store-generator/dist/dts/types/types").GroupedListBag<ApiRequest, any>;
    _lastAction: import("redux-store-generator").SingleBag<import("../types").LastAction>;
};
