import { ApiRequest, ApiRequests, ConnectedStore } from '../types';
export declare const $i: (i: {
    connected: ConnectedStore;
}) => ConnectedStore;
export declare const $actionTypesRaw: ((state: {
    connected: ConnectedStore;
}) => import("redux-store-generator").ApiInfoPerType) & import("reselect").OutputSelectorFields<(args_0: ConnectedStore) => import("redux-store-generator").ApiInfoPerType & {
    clearCache: () => void;
}> & {
    clearCache: () => void;
};
export declare const $apiGlobalSettingsRaw: ((state: {
    connected: ConnectedStore;
}) => import("../types").ApiSettings) & import("reselect").OutputSelectorFields<(args_0: ConnectedStore) => import("../types").ApiSettings & {
    clearCache: () => void;
}> & {
    clearCache: () => void;
};
export declare const $apiGlobalStatsRaw: ((state: {
    connected: ConnectedStore;
}) => import("../types").ApiStats) & import("reselect").OutputSelectorFields<(args_0: ConnectedStore) => import("../types").ApiStats & {
    clearCache: () => void;
}> & {
    clearCache: () => void;
};
export declare const $endpointsConfigRaw: ((state: {
    connected: ConnectedStore;
}) => import("../types").EndpointsConfig) & import("reselect").OutputSelectorFields<(args_0: ConnectedStore) => import("../types").EndpointsConfig & {
    clearCache: () => void;
}> & {
    clearCache: () => void;
};
export declare const $endpointsStateRaw: ((state: {
    connected: ConnectedStore;
}) => import("../types").EndpointsState) & import("reselect").OutputSelectorFields<(args_0: ConnectedStore) => import("../types").EndpointsState & {
    clearCache: () => void;
}> & {
    clearCache: () => void;
};
export declare const $nodeTypesRaw: ((state: {
    connected: ConnectedStore;
}) => Record<string, import("redux-store-generator").NodeType>) & import("reselect").OutputSelectorFields<(args_0: ConnectedStore) => Record<string, import("redux-store-generator").NodeType> & {
    clearCache: () => void;
}> & {
    clearCache: () => void;
};
export declare const $requestsRaw: ((state: {
    connected: ConnectedStore;
}) => ApiRequests) & import("reselect").OutputSelectorFields<(args_0: ConnectedStore) => ApiRequests & {
    clearCache: () => void;
}> & {
    clearCache: () => void;
};
export declare const $lastActionRaw: ((state: {
    connected: ConnectedStore;
}) => import("../types").LastAction) & import("reselect").OutputSelectorFields<(args_0: ConnectedStore) => import("redux-store-generator").Action & {
    isRemote: boolean;
    storeId: string;
} & {
    clearCache: () => void;
}> & {
    clearCache: () => void;
};
export declare const $requests: ((state: {
    connected: ConnectedStore;
}) => ApiRequest[]) & import("reselect").OutputSelectorFields<(args_0: ApiRequests) => ApiRequest[] & {
    clearCache: () => void;
}> & {
    clearCache: () => void;
};
export declare const $requestsIncoming: ((state: {
    connected: ConnectedStore;
}) => ApiRequest[]) & import("reselect").OutputSelectorFields<(args_0: ApiRequest[]) => ApiRequest[] & {
    clearCache: () => void;
}> & {
    clearCache: () => void;
};
export declare const $requestsQueued: ((state: {
    connected: ConnectedStore;
}) => ApiRequest[]) & import("reselect").OutputSelectorFields<(args_0: ApiRequest[]) => ApiRequest[] & {
    clearCache: () => void;
}> & {
    clearCache: () => void;
};
export declare const $requestsSuccess: ((state: {
    connected: ConnectedStore;
}) => ApiRequest[]) & import("reselect").OutputSelectorFields<(args_0: ApiRequest[]) => ApiRequest[] & {
    clearCache: () => void;
}> & {
    clearCache: () => void;
};
export declare const $requestsDone: ((state: {
    connected: ConnectedStore;
}) => ApiRequest[]) & import("reselect").OutputSelectorFields<(args_0: ApiRequest[]) => ApiRequest[] & {
    clearCache: () => void;
}> & {
    clearCache: () => void;
};
export declare const $requestsFailed: ((state: {
    connected: ConnectedStore;
}) => ApiRequest[]) & import("reselect").OutputSelectorFields<(args_0: ApiRequest[]) => ApiRequest[] & {
    clearCache: () => void;
}> & {
    clearCache: () => void;
};
export declare const selectors: {
    $actionTypesRaw: ((state: {
        connected: ConnectedStore;
    }) => import("redux-store-generator").ApiInfoPerType) & import("reselect").OutputSelectorFields<(args_0: ConnectedStore) => import("redux-store-generator").ApiInfoPerType & {
        clearCache: () => void;
    }> & {
        clearCache: () => void;
    };
    $apiGlobalSettingsRaw: ((state: {
        connected: ConnectedStore;
    }) => import("../types").ApiSettings) & import("reselect").OutputSelectorFields<(args_0: ConnectedStore) => import("../types").ApiSettings & {
        clearCache: () => void;
    }> & {
        clearCache: () => void;
    };
    $apiGlobalStatsRaw: ((state: {
        connected: ConnectedStore;
    }) => import("../types").ApiStats) & import("reselect").OutputSelectorFields<(args_0: ConnectedStore) => import("../types").ApiStats & {
        clearCache: () => void;
    }> & {
        clearCache: () => void;
    };
    $endpointsConfigRaw: ((state: {
        connected: ConnectedStore;
    }) => import("../types").EndpointsConfig) & import("reselect").OutputSelectorFields<(args_0: ConnectedStore) => import("../types").EndpointsConfig & {
        clearCache: () => void;
    }> & {
        clearCache: () => void;
    };
    $endpointsStateRaw: ((state: {
        connected: ConnectedStore;
    }) => import("../types").EndpointsState) & import("reselect").OutputSelectorFields<(args_0: ConnectedStore) => import("../types").EndpointsState & {
        clearCache: () => void;
    }> & {
        clearCache: () => void;
    };
    $nodeTypesRaw: ((state: {
        connected: ConnectedStore;
    }) => Record<string, import("redux-store-generator").NodeType>) & import("reselect").OutputSelectorFields<(args_0: ConnectedStore) => Record<string, import("redux-store-generator").NodeType> & {
        clearCache: () => void;
    }> & {
        clearCache: () => void;
    };
    $requestsRaw: ((state: {
        connected: ConnectedStore;
    }) => ApiRequests) & import("reselect").OutputSelectorFields<(args_0: ConnectedStore) => ApiRequests & {
        clearCache: () => void;
    }> & {
        clearCache: () => void;
    };
    $lastActionRaw: ((state: {
        connected: ConnectedStore;
    }) => import("../types").LastAction) & import("reselect").OutputSelectorFields<(args_0: ConnectedStore) => import("redux-store-generator").Action & {
        isRemote: boolean;
        storeId: string;
    } & {
        clearCache: () => void;
    }> & {
        clearCache: () => void;
    };
    $requests: ((state: {
        connected: ConnectedStore;
    }) => ApiRequest[]) & import("reselect").OutputSelectorFields<(args_0: ApiRequests) => ApiRequest[] & {
        clearCache: () => void;
    }> & {
        clearCache: () => void;
    };
    $requestsIncoming: ((state: {
        connected: ConnectedStore;
    }) => ApiRequest[]) & import("reselect").OutputSelectorFields<(args_0: ApiRequest[]) => ApiRequest[] & {
        clearCache: () => void;
    }> & {
        clearCache: () => void;
    };
    $requestsQueued: ((state: {
        connected: ConnectedStore;
    }) => ApiRequest[]) & import("reselect").OutputSelectorFields<(args_0: ApiRequest[]) => ApiRequest[] & {
        clearCache: () => void;
    }> & {
        clearCache: () => void;
    };
    $requestsSuccess: ((state: {
        connected: ConnectedStore;
    }) => ApiRequest[]) & import("reselect").OutputSelectorFields<(args_0: ApiRequest[]) => ApiRequest[] & {
        clearCache: () => void;
    }> & {
        clearCache: () => void;
    };
    $requestsDone: ((state: {
        connected: ConnectedStore;
    }) => ApiRequest[]) & import("reselect").OutputSelectorFields<(args_0: ApiRequest[]) => ApiRequest[] & {
        clearCache: () => void;
    }> & {
        clearCache: () => void;
    };
    $requestsFailed: ((state: {
        connected: ConnectedStore;
    }) => ApiRequest[]) & import("reselect").OutputSelectorFields<(args_0: ApiRequest[]) => ApiRequest[] & {
        clearCache: () => void;
    }> & {
        clearCache: () => void;
    };
};
