export type ResourceInfo = {
    nodeName: string;
    id: string;
    subItemId?: string;
    hasItems?: boolean;
    index?: number;
    item?: Json;
};
export declare const parsePath: (path: string) => ResourceInfo;
export declare const getIndex: (path: string, data: Json) => any;
export declare const toSingle: (name: string) => string;
export declare const getSubitemsNodeName: (path: string) => string;
export declare const getSubitemsParentFieldName: (path: string) => string;
export declare const getSubitems: (path: string, data: Json) => any;
export declare const getSubitemIndex: (path: string, data: Json) => any;
export type PathType = 'SINGLE' | 'COLLECTION' | 'SUBITEM';
export declare const getPathType: (path: string, data: Json) => PathType;
export declare const isQueue: (data: Json) => boolean;
export declare const isCollection: (data: Json) => any;
