import { eventChannel } from 'redux-saga';
export function intervalChannel(duration) {
    return eventChannel((emitter) => {
        const interval = setInterval(() => {
            emitter(true);
        }, duration);
        return () => {
            clearInterval(interval);
        };
    });
}
