export var ConnectionType;
(function (ConnectionType) {
    ConnectionType["NONE"] = "NONE";
    ConnectionType["REST"] = "REST";
    ConnectionType["FIRESTORE"] = "FIRESTORE";
    ConnectionType["LOCAL_STORAGE"] = "LOCAL_STORAGE";
})(ConnectionType || (ConnectionType = {}));
export var ConnectionStatus;
(function (ConnectionStatus) {
    ConnectionStatus["IDLE"] = "IDLE";
    ConnectionStatus["LOADING"] = "LOADING";
    ConnectionStatus["RETRYING"] = "RETRYING";
    ConnectionStatus["PAUSED"] = "PAUSED";
    ConnectionStatus["ERROR"] = "ERROR";
})(ConnectionStatus || (ConnectionStatus = {}));
export var RetryStrategy;
(function (RetryStrategy) {
    RetryStrategy["NONE"] = "NONE";
    RetryStrategy["X1_TIMES"] = "X1_TIMES";
    RetryStrategy["X2_TIMES"] = "X2_TIMES";
    RetryStrategy["X3_TIMES"] = "X3_TIMES";
    RetryStrategy["X4_TIMES"] = "X4_TIMES";
    RetryStrategy["INDEFINITELY"] = "INDEFINITELY";
})(RetryStrategy || (RetryStrategy = {}));
export var ErrorReportingStrategy;
(function (ErrorReportingStrategy) {
    ErrorReportingStrategy["NONE"] = "NONE";
    ErrorReportingStrategy["WARNING"] = "WARNING";
    ErrorReportingStrategy["ERROR"] = "ERROR";
})(ErrorReportingStrategy || (ErrorReportingStrategy = {}));
export var RequestStatus;
(function (RequestStatus) {
    RequestStatus["CREATED"] = "CREATED";
    RequestStatus["IN_QUEUE"] = "IN_QUEUE";
    RequestStatus["FIRING"] = "FIRING";
    RequestStatus["ERROR"] = "ERROR";
    RequestStatus["RETRYING"] = "RETRYING";
    RequestStatus["SUCCESS"] = "SUCCESS";
    RequestStatus["DONE"] = "DONE";
    RequestStatus["FAILED"] = "FAILED";
})(RequestStatus || (RequestStatus = {}));
export var LifecycleStatus;
(function (LifecycleStatus) {
    LifecycleStatus[LifecycleStatus["RECEIVED"] = 1] = "RECEIVED";
    LifecycleStatus[LifecycleStatus["POST_ACTION_OPTIMISTIC"] = 1.5] = "POST_ACTION_OPTIMISTIC";
    LifecycleStatus[LifecycleStatus["IN_QUEUE"] = 2] = "IN_QUEUE";
    LifecycleStatus[LifecycleStatus["GENERAL_ERROR"] = 3] = "GENERAL_ERROR";
    LifecycleStatus[LifecycleStatus["PENDING_API_RESPONSE"] = 4] = "PENDING_API_RESPONSE";
    LifecycleStatus[LifecycleStatus["API_ERROR"] = 5] = "API_ERROR";
    LifecycleStatus[LifecycleStatus["POST_ACTION"] = 6] = "POST_ACTION";
    LifecycleStatus[LifecycleStatus["FAILED"] = 7] = "FAILED";
})(LifecycleStatus || (LifecycleStatus = {}));
export var SagaEvents;
(function (SagaEvents) {
    SagaEvents["POST_ACTION"] = "POST_ACTION";
    SagaEvents["CLEAR_COMPLETED_REQUESTS"] = "CLEAR_COMPLETED_REQUESTS";
    SagaEvents["CLEAR_FAILED_REQUESTS"] = "CLEAR_FAILED_REQUESTS";
})(SagaEvents || (SagaEvents = {}));
