export const sendState = (state) => {
    if (!window || !window.postMessage) {
        return;
    }
    window.postMessage({
        type: 'CONNECTED_STATE',
        source: 'devtools-page',
        payload: {
            state,
        },
    }, '*');
};
const fixJson = (json) => JSON.parse(JSON.stringify(json));
export const sendAction = (action) => {
    if (!window || !window.postMessage) {
        return;
    }
    window.postMessage({
        type: 'CONNECTED_ACTION',
        source: 'devtools-page',
        payload: {
            action: fixJson(action),
        },
    }, '*');
};
