import globals from './globals';
import { uuidv4 } from './uuid';
export const dispatchP = (action) => {
    return new Promise((resolve, reject) => {
        const newAction = {
            '@@redux-connected/ACTION_ID': uuidv4(),
            ...action,
            resolve,
            reject,
        };
        globals.connectedStore.dispatch(newAction);
    });
};
export function clearActionP(action) {
    const output = { ...action };
    delete output['resolve'];
    delete output['reject'];
    return output;
}
export default dispatchP;
