import { Action } from 'redux-store-generator';
import { ApiResponse, ApiRequest } from '../../types';
export declare class PostApiActionBuilder {
    private apiRequest;
    private apiResponse;
    private actions;
    private isOptimistic?;
    constructor();
    withRequest(apiRequest: ApiRequest): this;
    withResponse(apiResponse: ApiResponse): this;
    withOptimistic(isOptimistic?: boolean): this;
    build(): Action;
}
