import { ApiRequest } from '../../types';
import { Firestore, Query, QueryConstraint } from './firebase.methods';
export type QueryConfig = {
    constrains: QueryConstraint[];
};
export declare class FirestoreQueryBuilder {
    private queryConfig;
    private apiRequest?;
    private db?;
    constructor();
    withDb(db: Firestore): this;
    withApiRequest(apiRequest: ApiRequest): this;
    build(): Query<any>;
}
