import { Adapter, ApiRequest, ApiResponse, Json } from '../../types';
import { ResponseBuilder } from '../_base/ResponseBuilder';
export declare class LocalStorageAdapter implements Adapter {
    private config;
    constructor(config: Json);
    init: () => Promise<void>;
    GET: (request: ApiRequest, response: ResponseBuilder) => Promise<LocalStorageResponse>;
    POST_main: (request: ApiRequest, response: ResponseBuilder) => Promise<{
        data: any;
    }>;
    POST_sub: (request: ApiRequest, response: ResponseBuilder) => Promise<{
        data: any;
    }>;
    POST_withItems: (request: ApiRequest, response: ResponseBuilder) => Promise<{
        data: any;
    }>;
    POST: (request: ApiRequest, response: ResponseBuilder) => Promise<{
        data: any;
    }>;
    PATCH: (request: ApiRequest, response: ResponseBuilder) => Promise<boolean | {
        data: any;
    }>;
    PUT: (request: ApiRequest, _response: ResponseBuilder) => Promise<void>;
    DELETE_withItems: (request: ApiRequest, _response: ResponseBuilder) => Promise<{}>;
    DELETE: (request: ApiRequest, _response: ResponseBuilder) => Promise<{} | undefined>;
    _logRequest(request: ApiRequest): void;
    parseReturnedData(request: ApiRequest, res: LocalStorageResponse): Json[];
    fireRequest: (request: ApiRequest) => Promise<ApiResponse>;
    withDates(data: Json, withCreatedDate: boolean, withModifiedDate: boolean): {
        [x: string]: any;
    };
}
export type LocalStorageResponse = {
    data: Json[];
};
