import { NodeType } from 'redux-store-generator';
import { HttpMethod } from '../types';
export type ActionConfig = {
    nodeName: string;
    verb: string;
    id?: string;
};
export type Args = [number, Json] | [Json] | [];
export type RequestInfo = {
    verb: HttpMethod;
    path: string;
    nodeType: NodeType;
    query?: Json;
    body?: Json;
    id?: string;
};
export declare const routeToAction: (verb: HttpMethod, path: string, nodeType: NodeType) => ActionConfig;
