import dispatchP from '../utils/dispatchP';
export const connectedMiddleware = () => (next) => async (action) => {
    const actionResponse = await dispatchP(action);
    if (actionResponse.nextAction) {
        next(actionResponse.nextAction);
    }
    return actionResponse.response;
};
